# Generated by Django 3.1.1 on 2020-10-16 04:37

from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('main', '0001_initial'),
    ]

    operations = [
        migrations.RemoveField(
            model_name='post',
            name='author',
        ),
        migrations.RemoveField(
            model_name='post',
            name='content',
        ),
        migrations.RemoveField(
            model_name='post',
            name='id',
        ),
        migrations.RemoveField(
            model_name='post',
            name='published_date',
        ),
        migrations.AddField(
            model_name='post',
            name='deskripsi_matkul',
            field=models.TextField(blank=True, default=None),
        ),
        migrations.AddField(
            model_name='post',
            name='dosen',
            field=models.CharField(default=None, max_length=30),
        ),
        migrations.AddField(
            model_name='post',
            name='jumlah_sks',
            field=models.IntegerField(default=None, verbose_name='Jumlah SKS'),
        ),
        migrations.AddField(
            model_name='post',
            name='nama_matkul',
            field=models.CharField(default=None, max_length=50, primary_key=True, serialize=False, verbose_name='Mata Kuliah'),
        ),
        migrations.AddField(
            model_name='post',
            name='ruang_kelas',
            field=models.CharField(default=None, max_length=15, verbose_name='Ruang Kelas'),
        ),
        migrations.AddField(
            model_name='post',
            name='semester_tahun',
            field=models.CharField(default=None, max_length=20),
        ),
        migrations.DeleteModel(
            name='Person',
        ),
    ]
